package com.seer.teach.netty.im.handler.mq.impl.business;

import com.seer.teach.common.dto.mq.im.KnowledgeDTO;
import com.seer.teach.common.enums.im.BusinessTopicTagEnum;
import com.seer.teach.netty.im.handler.mq.ImBusinessHandler;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

/**
 * <p>
 *
 * </p >
 *
 * @author Captain
 * @since 2025-07-30 17:17
 */
@Slf4j
@Component
public class KnowDataHandler implements ImBusinessHandler<KnowledgeDTO> {
    @Override
    public void handle(KnowledgeDTO messageBody, String device) {
        log.info("收到推送知识点数据：[{}],[{}]", device, messageBody);
    }

    @Override
    public Class<KnowledgeDTO> getType() {
        return KnowledgeDTO.class;
    }

    @Override
    public String getTag() {
        return BusinessTopicTagEnum.KNOW_DATA.getTag();
    }
}
